Subject: Fwd: New Version Notification for draft-ietf-tsvwg-byte-pkt-congest-05.txt

From: Bob Briscoe <[email-masked]>
Date: Mon, 31 Oct 2011 23:59:16 +0000

Gorry, David, Phil & Fred,

Thank you all for your reviews. I'm very happy with the doc now.

We've made considerable changes as a result of your comments, in 
particular completely re-writing a couple of the motivations for the 
recommendations. If you get a chance, we'd appreciate re-reviewing 
just the changed motivation sub-sections, if nothing else.

Here's the summary of the changes:

    From -04 to -05:

       *  Changed from Informational to BCP and highlighted non-normative
          sections and appendices
       *  Removed language about consensus
       *  Added "Example Comparing Packet-Mode Drop and Byte-Mode Drop"
       *  Arranged "Motivating Arguments" into a more logical order and
          completely rewrote "Transport-Independent Network" & "Scaling
          Congestion Control with Packet Size" arguments.  Removed "Why
          Now?"
       *  Clarified applicability of certain recommendations
       *  Shifted vendor survey to an Appendix
       *  Cut down "Outstanding Issues and Next Steps"
       *  Re-drafted the start of the conclusions to highlight the three
          distinct areas of concern
       *  Completely re-wrote appendices
       *  Editorial corrections throughout.

Bob

At 23:48 31/10/2011, [email-masked] wrote:
>A new version of I-D, draft-ietf-tsvwg-byte-pkt-congest-05.txt has 
>been successfully submitted by Bob Briscoe and posted to the IETF repository.
>
>Filename:       draft-ietf-tsvwg-byte-pkt-congest
>Revision:       05
>Title:          Byte and Packet Congestion Notification
>Creation date:  2011-10-31
>WG ID:          tsvwg
>Number of pages: 43
>
>Abstract:
>    This memo concerns dropping or marking packets using active queue
>    management (AQM) such as random early detection (RED) or pre-
>    congestion notification (PCN).  We give three strong recommendations:
>    (1) packet size should be taken into account when transports read and
>    respond to congestion indications, (2) packet size should not be
>    taken into account when network equipment creates congestion signals
>    (marking, dropping), and therefore (3) the byte-mode packet drop
>    variant of the RED AQM algorithm that drops fewer small packets
>    should not be used.
>
> 
>
>
>
>The IETF Secretariat

________________________________________________________________
Bob Briscoe,                                BT Innovate & Design